質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.37%

EclipseでAxis2のプラグインが表示されない

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,290

score 5

前提・実現したいこと

EclipseでAxis2のプラグインを使って、AARファイルを作成したい。

困っていること

EclipseでAxis2のプラグインを使用するために、設定を進めているのですが、
プラグインがインストールされず、ファイル>新規>その他をクリックした後のウィザードを選択の中に表示されません。
ウィザードを選択画面

確認したこと

インストールされている場合は、org.apache.axis2.eclipse.codegen.pluginとorg.apache.axis2.eclipse.service.pluginが
インストール詳細画面のプラグインIDにあると思ったいたのですが、ありません。
プラグインインストール済み確認画面

使いたいプラグイン

http://axis.apache.org/axis2/java/core/download.html

  • axis2-eclipse-service-plugin-1.7.9.zip
  • axis2-eclipse-codegen-plugin-1.7.9.zip

プラグインの配置場所

C:\pleiades\eclipse\plugins\

プラグインのインストール手順

  • axis2-eclipse-service-plugin-1.7.9.zip
  • axis2-eclipse-codegen-plugin-1.7.9.zip
  1. 上記2つを解凍し、出てきたjarファイルをC:\pleiades\eclipse\plugins\に配置する。
  2. C:\pleiades\eclipse\にあるeclipse.exe -clean.cmdをダブルクリックし、Eclipseを起動する。

Eclipseのバージョン

バージョン:Photon(4.8.0)
イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • rubytomato

    2019/12/14 14:40

    Eclipseのバージョンとプラグインのインストールの手順を質問内容に追記してください。

    キャンセル

  • kurocorona

    2019/12/16 12:51

    ご連絡ありがとうございます。
    追記いたしました。
    ご回答よろしくお願いいたします。

    キャンセル

回答 1

checkベストアンサー

+1

追記ありがとうございました。
ただのEclipse PhotonではなくPleiades Eclipse Photonということですね。

Axis2プラグインが有効にならないということですが、プラグインのjarファイルはpluginsではなくdropinsというディレクトリへ配置してください。

以下は私の環境のPleiades Eclipse Photonで確認したときの結果です。

プラグインのインストール結果
イメージ説明
プロジェクト作成ウィザード
イメージ説明

なお、ただのEclipse PhotonではAxis2プラグインは有効になりませんでした。Axis2プラグインはEclipseにデフォルトでインストールされているある機能に依存しているようですが、その機能がないためAxis2プラグインのロードに失敗しているようです。
Pleiades Eclipse Photonではそのある機能がインストールされているため、Axis2プラグインが有効になっているようですが、その”ある機能”というのが何かは分かりませんでした。

また、Pleiades EclipseもPhotonの次のバージョン以降ではAxis2プラグインは有効になりませんでした。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/12/17 15:34

    Eclipseをもう一度インストールし直し、rubytomato様の方法を実施したところ、解決しました。
    原因は分かりませんが質問時のEclipseの設定がよくなかったかもしれません。

    ありがとうございました。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る